Bug 1530675 - [RFE] ovn-localnet: Connect OVN network and oVirt Data Center Network
Summary: [RFE] ovn-localnet: Connect OVN network and oVirt Data Center Network
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ovirt-4.2.1
: ---
Assignee: Petr Horáček
QA Contact: Michael Burman
URL:
Whiteboard:
Depends On: 1532046
Blocks: 1548816
TreeView+ depends on / blocked
 
Reported: 2018-01-03 16:00 UTC by Petr Horáček
Modified: 2019-05-16 13:04 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
You can now create an OVN network that is connected to a physical host network. This feature enables virtual machines on the external network to be on the same network as the virtual machines within the Data Center.
Clone Of:
Environment:
Last Closed: 2018-05-15 17:46:56 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:1488 0 None None None 2018-05-15 17:48:00 UTC

Description Petr Horáček 2018-01-03 16:00:39 UTC
This feature should extend ovirt-ovn-provider adding support for physical network access. It should allow user to connect external OVN networks to a physical (oVirt Data Center) network.

Progress of this feature is tracked on Trello [1], related patches could be found on gerrit [2] and feature page (containing usage and testing info) can be found as a pull request on ovirt-site [3].

[1] https://trello.com/b/lxIBEn0A/ovn-localnet
[2] https://gerrit.ovirt.org/#/q/topic:localnet
[3] https://github.com/oVirt/ovirt-site/pull/1362

Comment 3 Dan Kenigsberg 2018-01-07 11:26:05 UTC
The code for this feature is already in 4.2.1, and its feature page is approved. Burman has already started testing it. Formally moving to ON_QA.

Comment 5 Petr Horáček 2018-01-09 13:30:20 UTC
Feature page was merged and is available on https://ovirt.org/develop/release-management/features/network/provider-physical-network/

Comment 6 Michael Burman 2018-01-15 13:18:18 UTC
Verified on - 4.2.1.1-0.1.el7

NOTE - If the ovn network has it's own subnet, then the VM will get the IP from ovn network subnet and not from the phys network.
In order to get the IP from the phys network, the ovn network should be without subnet.

Comment 10 errata-xmlrpc 2018-05-15 17:46:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:1488

Comment 11 Franta Kust 2019-05-16 13:04:55 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.